pkgname=gnome-shell-extension-extensions-sync
pkgver=19
pkgrel=1
pkgdesc="Sync all extensions and their configurations across all gnome instances."
arch=('any')
url="https://github.com/oae/gnome-shell-extensions-sync/"
license=('GPL3')
depends=('gnome-shell' 'libadwaita')
source=("https://extensions.gnome.org/extension-data/extensions-syncelhan.io.v$pkgver.shell-extension.zip")
sha256sums=('4257f599e89386d873bf846acf575720289730f73854958fb505e003cf477b6e')

package() {
		
	cd $srcdir
	local uuid=$(grep -Po '(?<="uuid": ")[^"]*' metadata.json)
	local destdir="$pkgdir/usr/share/gnome-shell/extensions/$uuid"
	install -dm755 "$destdir"

	rm *.zip
	chmod 544 metadata.json
	cp -r * "$destdir"
	
}
